org.hibernate.search.elasticsearch.cfg

## Enum DynamicType

- java.lang.Object
- - java.lang.Enum<DynamicType>
  - - org.hibernate.search.elasticsearch.cfg.DynamicType

- All Implemented Interfaces:
    Serializable, Comparable<DynamicType>

      public enum DynamicType
      extends Enum<DynamicType>

  Configuration values for Elasticsearch "dynamic" attribute values.

  Defines the behaviour when a document contains a field the wasn't define in the index schema.

  More details on the Elasticsearch documentation: Elasticsearch mapping: dynamic

  Author:
    Davide D'Alto

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE` Ignore unrecognized field
    `STRICT` Throw exception when the field is unrecognized
    `TRUE` Add unrecognized fields to the schema

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DynamicType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DynamicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final DynamicType TRUE

      Add unrecognized fields to the schema

    - #### FALSE

          public static final DynamicType FALSE

      Ignore unrecognized field

    - #### STRICT

          public static final DynamicType STRICT

      Throw exception when the field is unrecognized

  - ### Method Detail

    - #### values

          public static DynamicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DynamicType c : DynamicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DynamicType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved